Subject: Re: hjson file format

From: Sergey Matveev <[email-masked]>
Date: Wed, 13 Mar 2024 20:45:32 +0300

*** Hadmut Danisch [2024-03-13 19:34]:
>Which still leaves the question open: What is the intended clean way
>(without workarounds) to distribute the list of neighbors and their public
>keys, while on the same time keeping the secrets local on the machine,  if
>they are both in the same file, but there is no tool to selectively modify
>parts of the file.

Convert that file to directory with nncp-cfgdir and do whatever
modifications you wish with ordinary subdirectories/files. Or convert
Hjson to JSON and modify it with JSON-aware utilities, if they are
appropriate for that task (personally I used only gojq and gjo and not
sure they are convenient enough).

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A